Netz AusTeilForm

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Mesh FromPartShape and the translation is 82% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский
Arrow-left.svg Vorherige: Mesh Export.svg Export

Mesh MeshFromShape.png Netz AusTeilForm

Menüeintrag
Polygonnetze → Erzeuge Polygonnetz aus Form...
Arbeitsbereich
Polygonnetz
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Keiner

Beschreibung

Der Befehl Netz_AusTeilForm erzeugt nicht-parametrische Polygonnetz Objekte (Polygonnetz Formelemente) aus Form Objekten (Part Formelemente).

Die Umkehrbearbeitung ist Part FormAusNetz aus dem Workbench Part.svg Part Arbeitsbereich.

Anwendung

  1. Wähle wahlweise ein oder mehrere Objekte aus.
  2. Es gibt mehrere Möglichkeiten, den Befehl aufzurufen:
    • Drücke die Mesh FromPartShape.svg Netz AusTeilForm Schaltfläche.
    • Wähle die Netze → Mesh FromPartShape.svg Netz aus Form erzeugen... Option aus dem Menü.
  3. Das Tessellierungs Aufgabenpaneel öffnet sich.
  4. Während das Aufgabenpaneel geöffnet ist, kannst du eine neue Auswahl erstellen oder eine bestehende Auswahl ändern.
  5. Wähle den Reiter für den Vernetzer, den du verwenden möchtest.
  6. Gib die erforderlichen Einstellungen an. Siehe Vernetzer.
  7. Drücke die OK Schaltfläche, um das Aufgabenpaneel zu schließen und den Befehl zu beenden.

Vernetzer

Dies sind die verfügbaren Vernetzer und ihre Einstellungen:

Standard Vernetzer

  • Oberflächenabweichung: die maximale lineare Abweichung eines Polygonnetzabschnitts von der Oberfläche des Objekts.
  • Winkelabweichung: die maximale Winkelabweichung von einem Polygonnetzabschnitt zum nächsten. Diese Einstellung wird beim Vernetzen von gekrümmten Oberflächen verwendet.
  • Relative Oberflächenabweichung: wenn aktiviert, entspricht die maximale lineare Abweichung eines Polygonnetzabschnitt der angegebenen Oberflächenabweichung multipliziert mit der Länge des aktuellen Polygonnetzabschnitt (Kante).
  • Flächenfarben auf das Netz anwenden: wenn markiert, erhält das Netz die Flächenfarben des Objekts.
  • Segmente nach Flächenfarben definieren: wenn markiert, werden die Polygonnetzabschnitt nach den Farben der Flächen des Objekts gruppiert. Diese Gruppen werden für Polygonnetz Ausgabeformate exportiert, die diese Funktion unterstützen (zum Beispiel das OBJ Format).

Mefisto Vernetzer

Die einzige Einstellung ist:

  • Maximale Kantenlänge: Wenn diese Zahl kleiner ist, wird das Netz feiner. Der kleinste Wert ist 0.

Netgen Vernetzer

Beispiel:

Gmsh Vernetzer

introduced in version 0.19

Für Linux Anwender: das externe Gmsh Modul ist erforderlich.

  • Meshing: select a meshing option:
    • Automatic
    • Adaptive
    • Delaunay
    • Frontal
    • BAMG
    • Frontal Quad
    • Parallelograms
  • Max. element size: a smaller value results in a finer mesh. Specify 0 to have this size automatically determined.
  • Min. element size: a smaller value results in a finer mesh. The value should be smaller than the Max. element size. Specify 0 to have this size automatically determined.
  • Angle: seems to be unsupported at this time.
  • Path: press the ... button and browse to the gmsh.exe path.
  • If the meshing process takes too long you can press the Kill button to abort it.
  • Press the Clear button to remove the information in the text area.

Hinweise

Einstellungen

Standard Vernetzer

  • The Surface deviation setting is stored: Tools → Edit parameters... → BaseApp → Preferences → Mod → Mesh → Meshing → Standard → LinearDeflection.
  • The Angular deviation setting is stored: Tools → Edit parameters... → BaseApp → Preferences → Mod → Mesh → Meshing → Standard → AngularDeflection.
  • The Relative surface deviation setting is stored: Tools → Edit parameters... → BaseApp → Preferences → Mod → Mesh → Meshing → Standard → RelativeLinearDeflection.

Gmsh Vernetzer

  • Der Pfad ist abgelegt: Werkzeuge → Parameter bearbeiten... → BaseApp → Einstellungen → Mod → Mesh → Meshing → gmshExe.

Eigenschaften

Siehe: Polygonnetz Formelement.

Skripten

Siehe auch: FreeCAD Grundlagen Skripten.

Um ein Netzobjekt aus einem Formobjekt zu erstellen, verwende die NetzAusForm Methode des MeshPart Moduls. Diese Methode hat mehrere Signaturen. Die Signatur bestimmt den zu verwendenden Vernetzer. Das folgende Beispiel verwendet die Mefisto Vernetzer Signatur.

import FreeCAD, Part, Mesh, MeshPart

cyl = FreeCAD.ActiveDocument.addObject("Part::Cylinder","Cylinder")
FreeCAD.ActiveDocument.recompute()

msh = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
msh.Mesh = MeshPart.meshFromShape(Shape=cyl.Shape, MaxLength=1)
msh.ViewObject.DisplayMode = "Flat Lines"